
/*
 * -----------------------------------------------------------------------------
 *
 * Блоки : 
 *
 * -----------------------------------------------------------------------------
 */

.iblock-default {
    padding-top: 3rem;
    padding-bottom: 3rem;
}

.iblock-title {
    padding-bottom: 3rem;
    
    text-transform: uppercase;
    text-align: center;
    
    font-size: 24px;
    font-weight: var(--font-w-bold);
    
    color: var(--color-prim);
}

/*
#iblock-features + #iblock-docs {
    padding-top: 0;
}
*/

/*
 * -----------------------------------------------------------------------------
 *
 * Блоки : Элемент со скругленными краями
 *
 * -----------------------------------------------------------------------------
 */

.iblock .iblock-dummy {
    width: 100%;

    padding-right: 15px;
    padding-left: 15px;

    margin-right: auto;
    margin-left: auto;
}

@media (min-width: 576px) {
    .iblock .iblock-dummy {
        max-width: 540px;
    }
}

@media (min-width: 768px) {
    .iblock .iblock-dummy {
        max-width: 720px;
    }
}

@media (min-width: 992px) {
    .iblock .iblock-dummy {
        max-width: 960px;
    }
}

@media (min-width: 1200px) {
    .iblock .iblock-dummy {
        max-width: 1140px;
    }
}

.iblock .iblock-dummy-t {
    transform: translateY(-1px);
}

.iblock .iblock-dummy-b {
    transform: translateY(1px);
}

.iblock .iblock-dummy::before {
    content: "";
    display: block;
    
    width: 100%;
    height: 38px;
    
    background-color: #fff;
}

.iblock .iblock-dummy-t::before {
    border-radius: 0 0 15px 15px;
}

.iblock .iblock-dummy-b::before {
    border-radius: 15px 15px 0 0;
}

/*
 * -----------------------------------------------------------------------------
 *
 * Блоки : Заголовки страниц и новостей
 *
 * -----------------------------------------------------------------------------
 */

.page-title .date,
.post-title .date {
    background-image: url(/_images/icon-calendar.svg);
    
    background-repeat: no-repeat;
    background-position: left center;
}

.page-title .title,
.post-title .title {
    margin: 0;
    
    text-transform: uppercase;
    font-weight: var(--font-w-bold);  
    
    color: var(--color-prim);
}

.page-title.text-center,
.post-title.text-center {
    text-align: center;
}

@media (min-width: 768px) {
    .page-title,
    .post-title {
        display: -ms-flexbox;
        display: flex;
    
        -ms-flex-direction: row;
        flex-direction: row;

        -ms-flex-wrap: nowrap;
        flex-wrap: nowrap;

        -ms-flex-pack: justify;
        justify-content: space-between;
    }
    
    .page-title.text-center,
    .post-title.text-center {
        -ms-flex-pack: center;
        justify-content: center;
    }
}


.page-title {
    margin-bottom: 3rem;
}

.page-title .title {
    font-size: 24px;
}

.post-title {
    margin-bottom: 1rem;
}

.post-title .title {
    font-size: 18px;
}

.page-title .date,
.post-title .date {
    height: 23px;
    
    margin-top: 10px;
    
    padding-left: 28px;
    padding-top: 2px;
    
    font-size: 14px;
    
    background-size: 18px auto;
}

@media (min-width: 412px) {
    .page-title .title {
        font-size: 24px;
    }  
    
    .post-title .title {
        font-size: 22px;
    }
    
    .page-title .date,
    .post-title .date {
        height: 23px;
        padding-left: 30px;
        padding-top: 2px;

        font-size: 16px;

        background-size: 20px auto;
    }
}

@media (min-width: 576px) {
    .page-title .date {
        height: 28px;
        padding-left: 40px;
        padding-top: 3px;
        
        font-size: 18px;
        
        background-size: 26px auto;
    }
}

@media (min-width: 768px) {
    
    .post-title .title {
        margin-bottom: 0;
    }
    
    .page-title .date,
    .post-title .date {
        margin-left: 30px;
        margin-top: 0;
    }

}

/*
 * -----------------------------------------------------------------------------
 *
 * Блоки : О компании на главной.
 *
 * -----------------------------------------------------------------------------
 */

#iblock-main {
    padding-top: 0;
}

#iblock-main .container {
    padding: 0 3rem;
}


.home #iblock-main {
    padding: 0;
}

.home #iblock-main .container {
    padding: 0 3rem;
    text-align: center;
}


/*
 * -----------------------------------------------------------------------------
 *
 * Блоки : Архив новостей.
 *
 * -----------------------------------------------------------------------------
 */

#iblock-news {
    padding-top: 0;
}

#iblock-news .iblock-items .col,
#iblock-news .iblock-items .col-none {
    -ms-flex: 0 0 100%;
    flex: 0 0 100%;
    max-width: 100%;
}

#iblock-news .iblock-items .item {
    margin-bottom: 3rem;
}

#iblock-news .iblock-items > .col:last-child .item {
    margin-bottom: 0;
}


#iblock-news .item .image-box {
    display: block;
    margin-bottom: 1rem;
}

#iblock-news .item .image-box .image {
    padding-bottom: 75%;
}

#iblock-news .item .post-excerpt {
    margin-bottom: 1.5rem;
    text-align: justify;
    
    font-size: 14px;
}

#iblock-news .item .post-excerpt p {
    margin: 0 0 1rem;
}

#iblock-news .item .post-excerpt > p:last-child {
    margin-bottom: 0;
}

@media (min-width: 412px) {
    #iblock-news .item .post-excerpt {
        font-size: 16px;
    }
}

@media (min-width: 768px) {
    
    #iblock-news .item {
        display: -ms-flexbox;
        display: flex;
    
        -ms-flex-direction: row;
        flex-direction: row;

        -ms-flex-wrap: nowrap;
        flex-wrap: nowrap;
    }
    
    #iblock-news .item .image-box {
        -ms-flex: 0 0 33.333333%;
        flex: 0 0 33.333333%;
        max-width: 33.333333%;
        
        margin-right: 2rem;
        margin-bottom: 0;
    }
    
    #iblock-news .item .entry-box {
        display: -ms-flexbox;
        display: flex;
    
        -ms-flex-direction: column;
        flex-direction: column;

        -ms-flex-wrap: nowrap;
        flex-wrap: nowrap;

    }
    
    #iblock-news .item .post-excerpt {
        -ms-flex-positive: 1;
        flex-grow: 1;
    }

}

